Bug 120010 - Mounting Samba shares results in unuseable shares.
Mounting Samba shares results in unuseable shares.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-05 00:26 EDT by shane nuessler
Modified: 2015-01-04 17:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:11:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shane nuessler 2004-04-05 00:26:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
Running an ls -al in the mount point directory gives the following output.


?---------  ? ?        ?           ?            ? HDrive
drwxr-xr-x  2 u4035491 u4035491 4096 Oct 17 15:57 Megadisk

Megadisk is not mounted at this point.

Mount mount command looks like:
smbmount $remote $local -o 
rw,username=$username,password=$password,uid=$username,workgroup=$workgroup

smbmnt uid is set +s

The mount info is not in /etc/fstab.



Version-Release number of selected component (if applicable):
kernel-2.6.4-1.305

How reproducible:
Always

Steps to Reproduce:
1.mount a samba share.
2.
3.
    

Additional info:
Comment 1 Bill Nottingham 2004-04-06 14:47:02 EDT
Do you get any SELinux error messages?
Comment 2 shane nuessler 2004-04-06 19:35:03 EDT
I can run the command by hand and there are no error messages at all.
And the ls -l still gives question marks.

running mount by itself reports the share as mounted, see below.

//CASCnas01/u4035491 on /home2/u4035491/extmnt/HDrive type smbfs (0)


God bless,
Shane.
Comment 3 Dave Jones 2004-12-08 00:58:48 EST
is this any better with the latest updates ?
Comment 4 Dave Jones 2005-04-16 00:11:28 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.